import React, { Children } from "react";
export const getCorrectHeight = (listMaxHeight)=>{
    if (Number.isNaN(Number(listMaxHeight))) {
        return listMaxHeight.toString();
    }
    return `${listMaxHeight}rem`;
};
export const childrenWithProps = (children, additionalProps)=>Children.map(children, (child)=>{
        if (/*#__PURE__*/ React.isValidElement(child)) {
            return /*#__PURE__*/ React.cloneElement(child, additionalProps);
        }
        return child;
    });
export { getItemId } from "./getItemId";
export { getItemByFocused } from "./getItemByFocused";
export { getPlacement } from "./getPlacement";
export { getVisibleItems } from "./getVisibleItems";
